Bug 131778 - rpmbuild of elfutils requires some version of elfutils to be installed.
rpmbuild of elfutils requires some version of elfutils to be installed.
Status: CLOSED DUPLICATE of bug 121186
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-04 08:12 EDT by Ron Arts
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:05:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Arts 2004-09-04 08:12:11 EDT
Description of problem:
I needed to install elfutils on RH9 because building new php rpm's
require it. I downloaded
http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/elfutils-0.96-1.src.rpm
and installed it. rpmbuild -ba elfutils.spec then failed in %check
because some tests require elfutils to be installed already.
I solved it by commenting out the %spec section, but I'm reporting
it anway.

Version-Release number of selected component (if applicable):
elfutils-0.96-1 and some earlier versions.

How reproducible:

Steps to Reproduce:
1. rpm -e elfutils
2. rpm -i elfutils-0.9601.src.rpm
3. cd /usr/src/redhat/SPECS
4. rpmbuild -ba elfutils.spec
  
Actual results:
PASS: asm-tst1
PASS: asm-tst2
PASS: asm-tst3
../src/elflint: error while loading shared libraries: libelf.so.1:
cannot open shared object file: No such file or directory
FAIL: asm-tst4
../src/elflint: error while loading shared libraries: libelf.so.1:
cannot open shared object file: No such file or directory
FAIL: asm-tst5
../src/elflint: error while loading shared libraries: libelf.so.1:
cannot open shared object file: No such file or directory
FAIL: asm-tst6
PASS: asm-tst7


Expected results:
Wrote: /home/raarts/sources/SRPMS/elfutils-0.96-1.src.rpm
Wrote: /home/raarts/sources/RPMS/ppc/elfutils-0.96-1.ppc.rpm
Wrote: /home/raarts/sources/RPMS/ppc/elfutils-devel-0.96-1.ppc.rpm
Wrote: /home/raarts/sources/RPMS/ppc/elfutils-libelf-0.96-1.ppc.rpm
Wrote: /home/raarts/sources/RPMS/ppc/elfutils-libelf-devel-0.96-1.ppc.rpm

Additional info:
Comment 1 Jeff Johnson 2004-09-04 09:24:07 EDT
Technically, it's not true that elfutils needs to be installed
in order to build, as the errors are from "make check" run
in the %check section.

Comment out that section if you want+
Comment 2 Ron Arts 2004-09-04 10:10:42 EDT
You're right, I should have said:
The specfile requires elfutils to be installed at build time.

The answer you gave was superfluous though, to quote myself:

> I solved it by commenting out the %spec section, but I'm reporting
> it anway.

Maybe it should be taken upstream? 
Which is redhat too right?
Comment 3 Ulrich Drepper 2004-09-25 15:13:49 EDT

*** This bug has been marked as a duplicate of 121186 ***
Comment 4 Red Hat Bugzilla 2006-02-21 14:05:28 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.